Send signal to the child process.

- « Swoole\Process::freeQueue

- Swoole\Process::name »

- PHP Manual
- Swoole\Process
- Send signal to the child process.

# Swoole\Process::kill

(PECL swoole >= 1.9.0)

Swoole\Process::kill — Send signal to the child process.

### Description

public static Swoole\Process::kill(int `$pid`, int `$signal_no` = ?): bool

Send signal to the child process.

### Parameters

`pid`

  Process pid

`signal_no`

  Signal to be sent

### Return Values

Returns `true` on success or `false` on failure.